sqlite_key
sqlite_last_insert_rowid
SQLite Functions
PHP Manual

# sqlite_last_error

# SQLiteDatabase::lastError

Returns the error code of the last error for a database

### Description

int sqlite_last_error ( resource `$dbhandle` )

Object oriented style (method):

public int SQLiteDatabase::lastError ( void )

Returns the error code from the last operation performed on `dbhandle` (the database handle), or 0 when no error occurred. A human readable description of the error code can be retrieved using sqlite_error_string.

### Parameters

`dbhandle`

  The SQLite Database resource; returned from sqlite_open when used procedurally. This parameter is not required when using the object-oriented method.

### Return Values

Returns an error code, or 0 if no error occurred.

### See Also

- sqlite_error_string